import { stringify } from 'qs';
import request from '@/utils/request';

//银行卡-列表
export async function getAgentBankcardPageList(params) {
  return request(`/api-agent/v1/finance/getAgentBankcardPageList?${stringify(params)}`);
}

//银行卡-创建
export async function createAgentBankcard(params) {
  return request('/api-agent/v1/finance/createAgentBankcard', {
    method: 'POST',
    body: params,
  });
}

//银行卡-编辑
export async function editAgentBankcard(params) {
  return request('/api-agent/v1/finance/editAgentBankcard', {
    method: 'POST',
    body: params,
  });
}

//提现账户-删除
export async function deleteAgentBankcard(params) {
  return request('/api-agent/v1/finance/deleteAgentBankcard', {
    method: 'POST',
    body: params,
  });
}

//提现账户-禁用
export async function disableAgentBankcard(params) {
  return request('/api-agent/v1/finance/disableAgentBankcard', {
    method: 'POST',
    body: params,
  });
}

//提现账户-启用
export async function enableAgentBankcard(params) {
  return request('/api-agent/v1/finance/enableAgentBankcard', {
    method: 'POST',
    body: params,
  });
}

//提现-余额和最近一次状态
export async function getBalance(params) {
  return request(`/api-agent/v1/finance/getBalance?${stringify(params)}`);
}


//提现-申请
export async function applyWithdraw(params) {
  return request('/api-agent/v1/finance/applyWithdraw', {
    method: 'POST',
    body: params,
  });
}

//提现-列表
export async function getAgentWithdrawHisPageList(params) {
  return request(`/api-agent/v1/finance/getAgentWithdrawHisPageList?${stringify(params)}`);
}